using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class updatePaperFile : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AnalysisFileId",
                table: "Papers");

            migrationBuilder.AddColumn<Guid>(
                name: "AnswerSheetFileId",
                table: "Papers",
                nullable: true);

            migrationBuilder.AddColumn<Guid>(
                name: "FullPaperFileId",
                table: "Papers",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AnswerSheetFileId",
                table: "Papers");

            migrationBuilder.DropColumn(
                name: "FullPaperFileId",
                table: "Papers");

            migrationBuilder.AddColumn<Guid>(
                name: "AnalysisFileId",
                table: "Papers",
                type: "char(36)",
                nullable: true);
        }
    }
}
